> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockops.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke a workspace API key

> Admin-only route. Revokes a DB-backed scoped API key.



## OpenAPI

````yaml /api-reference/openapi.yaml delete /api/v1/workspaces/{workspace_id}/api-keys/{api_key}
openapi: 3.0.3
info:
  title: Blockops Wallet API
  version: 0.1.0
  description: >
    The Blockops Wallet API: create MPC wallets, attach assets and read deposit
    addresses and balances, request withdrawals and signing, and manage webhooks
    and API keys.
servers:
  - url: https://wallet-sandbox.blockops.network
security:
  - AccessApiKey: []
    AccessTimestamp: []
    AccessSign: []
tags:
  - name: catalog
  - name: wallets
  - name: balances
  - name: withdrawals
  - name: transactions
  - name: signing
  - name: webhooks
  - name: api-keys
  - name: audit
  - name: observability
paths:
  /api/v1/workspaces/{workspace_id}/api-keys/{api_key}:
    delete:
      tags:
        - api-keys
      summary: Revoke a workspace API key
      description: Admin-only route. Revokes a DB-backed scoped API key.
      parameters:
        - $ref: '#/components/parameters/WorkspaceID'
        - $ref: '#/components/parameters/APIKeyPath'
      responses:
        '200':
          description: Revoked API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKeyRevokeEnvelope'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '503':
          $ref: '#/components/responses/RouteUnavailable'
components:
  parameters:
    WorkspaceID:
      name: workspace_id
      in: path
      required: true
      schema:
        type: string
    APIKeyPath:
      name: api_key
      in: path
      required: true
      schema:
        type: string
  schemas:
    APIKeyRevokeEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              required:
                - api_key
              properties:
                api_key:
                  type: string
                revoked_at:
                  type: string
                  format: date-time
    EnvelopeBase:
      type: object
      required:
        - success
        - message
        - code
      properties:
        success:
          type: boolean
        message:
          type: string
          example: success
        code:
          oneOf:
            - type: integer
            - type: string
          example: 0
    ErrorEnvelope:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          required:
            - data
          properties:
            success:
              type: boolean
              example: false
            data:
              nullable: true
  responses:
    Unauthorized:
      description: Authentication failed.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
          example:
            success: false
            message: invalid api signature
            code: unauthorized
            data: null
    Forbidden:
      description: Authenticated key is not allowed to access the route.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    NotFound:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RouteUnavailable:
      description: Route disabled, upstream missing, or dependency unavailable.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    AccessApiKey:
      type: apiKey
      in: header
      name: ACCESS-API-KEY
      description: HMAC API-key identifier.
    AccessTimestamp:
      type: apiKey
      in: header
      name: ACCESS-TIMESTAMP
      description: Unix timestamp in seconds.
    AccessSign:
      type: apiKey
      in: header
      name: ACCESS-SIGN
      description: Base64-encoded hex HMAC signature.

````